import { world, system, EntityDamageCause} from "@minecraft/server";

const skill = {
    name: 'slashing',
    display_name: "Slashing",
    registry_name: "slashing",
    description: 'slashing ability',
    learn(player) {
      world.scoreboard.getObjective(this.name).addScore(player, 1)
    },
    addLevel(player, levels) {
      world.scoreboard.getObjective(this.name).addScore(player, levels)
    }
}

export default skill